Bug 133154 - Allow building CMake based ports with WEB_REPLAY
Summary: Allow building CMake based ports with WEB_REPLAY
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-21 08:12 PDT by Zsolt Borbely
Modified: 2014-05-27 09:38 PDT (History)
10 users (show)

See Also:


Attachments
Proposed patch (6.65 KB, patch)
2014-05-21 08:20 PDT, Zsolt Borbely
no flags Details | Formatted Diff | Diff
Proposed patch (6.75 KB, patch)
2014-05-21 23:43 PDT, Zsolt Borbely
no flags Details | Formatted Diff | Diff
Proposed patch (6.71 KB, patch)
2014-05-22 01:53 PDT, Zsolt Borbely
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2 (1.03 MB, application/zip)
2014-05-22 08:00 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Borbely 2014-05-21 08:12:33 PDT
Allow building CMake based ports with WEB_REPLAY
Comment 1 Zsolt Borbely 2014-05-21 08:20:00 PDT
Created attachment 231830 [details]
Proposed patch
Comment 2 Raphael Kubo da Costa (:rakuco) 2014-05-21 09:31:12 PDT
Comment on attachment 231830 [details]
Proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=231830&action=review

> Source/JavaScriptCore/CMakeLists.txt:909
> +

nit: extra empty line.
Comment 3 Zsolt Borbely 2014-05-21 23:43:03 PDT
Created attachment 231863 [details]
Proposed patch
Comment 4 Gyuyoung Kim 2014-05-22 01:01:37 PDT
Comment on attachment 231863 [details]
Proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=231863&action=review

> Source/JavaScriptCore/CMakeLists.txt:924
> +

Looks unnecessary a blank line.

> Source/WebCore/CMakeLists.txt:3147
> +        replay/MemoizedDOMResult.cpp

Wrong alphabet order.

> Source/WebCore/CMakeLists.txt:3150
> +        replay/CapturingInputCursor.cpp

ditto.

> Source/WebCore/CMakeLists.txt:3151
> +        replay/SerializationMethods.cpp

ditto.

> Source/WebCore/CMakeLists.txt:3157
> +        replay/EventLoopInputDispatcher.cpp

ditto.
Comment 5 Zsolt Borbely 2014-05-22 01:53:32 PDT
Created attachment 231869 [details]
Proposed patch
Comment 6 Build Bot 2014-05-22 08:00:11 PDT
Comment on attachment 231869 [details]
Proposed patch

Attachment 231869 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/5444384883474432

New failing tests:
editing/unsupported-content/list-type-before.html
editing/unsupported-content/table-type-before.html
editing/unsupported-content/list-delete-003.html
editing/unsupported-content/list-delete-001.html
editing/unsupported-content/list-type-after.html
editing/unsupported-content/table-delete-002.html
editing/unsupported-content/table-type-after.html
Comment 7 Build Bot 2014-05-22 08:00:19 PDT
Created attachment 231887 [details]
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-12  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 8 Brian Burg 2014-05-22 08:34:46 PDT
Hi,

It is fine to allow building this flag---thanks for hooking it up! But, work on the feature is effectively on hold until mid-June when both myself and reviewers have more time.
Comment 9 Zsolt Borbely 2014-05-23 02:19:58 PDT
Comment on attachment 231869 [details]
Proposed patch

Mac WK2 buildbots are red on trunk, the reported failures is unrelated to this patch.
Comment 10 Csaba Osztrogonác 2014-05-27 04:00:55 PDT
Comment on attachment 231869 [details]
Proposed patch

LGTM, r=me
Comment 11 WebKit Commit Bot 2014-05-27 04:31:47 PDT
Comment on attachment 231869 [details]
Proposed patch

Clearing flags on attachment: 231869

Committed r169379: <http://trac.webkit.org/changeset/169379>
Comment 12 WebKit Commit Bot 2014-05-27 04:31:53 PDT
All reviewed patches have been landed.  Closing bug.
Comment 13 Brian Burg 2014-05-27 09:38:07 PDT
Thanks for taking this up! I'll be sure to add new replay-related sources to CMakeLists.txt